html, body
{
    margin: 0em;
    padding: 0em;
    height: 100%;
    
    background: #2A2D5E url('images/bg.png') top center repeat;
    font-family: "Trebuchet MS", Helvetica, sans-serif;
    color: #BABCEB;
}

body
{
    overflow-y: scroll;
}

h1
{
    font-size: 3em;
    font-weight: bold;
    line-height: normal;
    
    color: #BABCEB;
    text-shadow: 2px 2px #9C7BE5;
    text-decoration: none;
}

h2
{
    font-size: 2em;
    font-weight: bold;
    text-decoration: none;
    
    color: #BABCEB;
    text-shadow: 1px 1px #EA68E7;
}

p
{
    font-size: 1em;
    
    color: #BABCEB;
}

a
{
    font-size: 1em;
    
    color: #EA68E7;
}

a:hover
{
    color: #9C7BE5;
}

hr
{
    width: 90%;
    height: 0.3em;
    
    border: 0;
    background-color: #2B2E5C;
    color: #2B2E5C;
}

li
{
    color: #BABCEB;
}

ol ol
{
    list-style-type: lower-alpha;
}

ol ol ol
{
    list-style-type: lower-roman;
}

table, th, td
{
    border: 0 #2A2D5E;
}

#stuff
{
    position: relative;
    margin: 0em auto;
    min-width: 32em;
    max-width: 52em;
    height: auto !important;
    height: 100%;
    min-height: 100%;
    
    background: #2A2D5E;
    box-shadow: 0 0 3em black;
}

    #stuff #navigation
    {
        position: fixed;
        width: 10em;
        min-height: 100%;
        padding: 0em 0em 4em 0em;
        
        border-right: 0.3em solid #2B2E5C;
    }
    
        #stuff #navigation #logo
        {
            width: 7.8125em;
            height: 7.8125em;
            margin: 0em auto 0.5em;
            
            background: url('images/ipi.png') center center no-repeat;
            background-size: contain;
        }
        
        #stuff #navigation a
        {
            display: block;
            padding: 0.1em 0.4em 0.1em 0em;
            
            color: #BABCEB;
            font-size: 1.2em;
            text-decoration: none;
            font-weight: bold;
            text-align: right;
        }
        
        #stuff #navigation a:hover
        {
            background: #9C7BE5;
            color: #2A2D5E;
        }
        
        #stuff #navigation .current
        {
            background: #EA68E7;
            color: #2A2D5E;
        }
        
    #stuff #content
    {
        min-width: 20.4em;
        max-width: 40.4em;
        margin: 0em 0em 0em 10em;
        padding: 0.45em 0.7em 4em 0.9em;
        overflow: hidden;
    }
        
        #stuff #content .imageInset
        {
            display: block;
            padding: 0 1.5em 0 1em;
            position: relative;
            float: right;
            
            color: #9EA1ED;
            font-size: 0.75em;
            font-style: italic;
            text-align: center;
        }

        #stuff #content .imageInset img
        {
            border-radius: 1em;
            box-shadow: 2px 2px #EA68E7;
        }
        
        #stuff #content #loading
        {
            margin: 5em auto;
        }
        
            #stuff #content #loading #image
            {
                display: block;
                width: 3.1875em;
                height: 1.5em;
                margin: 0em auto;
                
                background: url('images/loading.gif') center center no-repeat;
                background-size: contain;
            }
        
            #stuff #content #loading p
            {
                font-size: 0.75em;
                text-align: center;
                
                color: #8C8CA0; 
                font-style: italic;
                text-decoration: none;
            }
        
        #stuff #content .spoilers
        {
            display: inline;
            
            background-color: #BABCEB;
            color: #BABCEB;
        }
        
            #stuff #content .spoilers:hover
            {
                background-color: #2A2D5E;
            }
            
        #stuff #content .hoverMe
        {
            text-decoration: none;
            border-bottom: 1px #BABCEB dotted;
        }
        
        #stuff .blogList
        {
            list-style-type: none;
            padding: 0;
            margin: 0;
        }
        
        #stuff .blogDate
        {
            display: block;
            float: left;
            width: 40px;
            
            font-size: 0.75em;
            text-align: center;
            
            color: #BABCEB;
            font-style: italic;
            text-decoration: none;
        }
        
        #stuff .blogEntry
        {
            font-size: 1.25em;
        }
    
        #stuff #content .socialsContainer
        {
            width: 100%;
            margin: 0 auto;
            text-align: center;
        }

        #stuff #content .socialButton
        {
            width: 2.5em;
            height: 2.5em;
            display: inline-block;
            border: #EA68E7 solid 0.5em;
            border-radius: 0.25em;
            margin: 0 0.5em;
            background-color: #EA68E7 !important;

            /* Hide text */
            text-indent: 100%;
            white-space: nowrap;
            overflow: hidden;
        }

        #stuff #content .socialButton:hover
        {
            background-color: #9C7BE5 !important;
            border: #9C7BE5 solid 0.5em;
            border-radius: 0.25em;
        }

        #stuff #content #twitter
        {
            background: url("/images/twitterLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #github
        {
            background: url("/images/githubLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #linkedin
        {
            background: url("/images/linkedinLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #soundcloud
        {
            background: url("/images/soundcloudLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #youtube
        {
            background: url("/images/youtubeLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #twitch
        {
            background: url("/images/twitchLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #mastodon
        {
            background: url("/images/mastodonLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #tumblr
        {
            background: url("/images/tumblrLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content #bandcamp
        {
            background: url("/images/bandcampLogo.png") center center no-repeat;
            background-size: contain;
        }

        #stuff #content .marquee
        {
            display: block;
            width: 100%;
            height: 10em;
            margin-bottom: 1em;

            position: relative;
            overflow: hidden;
        }

        #stuff #content .marquee .marqueeContent
        {
            position: absolute;
            height: 100%;

            -moz-transform: translateX(0);
            -webkit-transform: translateX(0);
            transform: translateX(0);
            -moz-animation: marqueeAnimation 20s linear infinite;
            -webkit-animation: marqueeAnimation 20s linear infinite;
            animation: marqueeAnimation 20s linear infinite;
        }

        #stuff #content .marquee .marqueeContent:hover
        {
            animation-play-state: paused;
        }

        #stuff #content .marquee .marqueeContent img
        {
            margin: 0;
            transition: transform 0.25s, filter 0.25s;
        }

        #stuff #content .marquee .marqueeContent img:hover
        {
            transform: scale(105%);
            filter: brightness(150%) contrast(75%);
        }

        @-moz-keyframes marqueeAnimation {
            0% { -moz-transform: translateX(0); }
            100% { -moz-transform: translateX(-80em); }
        }
        
        @-webkit-keyframes marqueeAnimation {
            0% { -webkit-transform: translateX(0); }
            100% { -webkit-transform: translateX(-80em); }
        }
        
        @keyframes marqueeAnimation {
            0%
            {
                -moz-transform: translateX(0);
                -webkit-transform: translateX(0);
                transform: translateX(0);
            }
            100%
            {
                -moz-transform: translateX(-80em);
                -webkit-transform: translateX(-80em);
                transform: translateX(-80em);
            }
        }

        #stuff #content .marquee .leftBorder
        {
            position: absolute;
            left: 0;
            top: 0;
            width: 2em;
            height: 100%;
            pointer-events: none;

            background: -moz-linear-gradient(0deg, #2A2D5E, #2A2D5E00);
            background: -webkit-linear-gradient(0deg, #2A2D5E, #2A2D5E00);
            background: linear-gradient(90deg, #2A2D5E, #2A2D5E00);
            
        }

        #stuff #content .marquee .rightBorder
        {
            position: absolute;
            right: 0;
            top: 0;
            width: 2em;
            height: 100%;
            pointer-events: none;

            background: -moz-linear-gradient(180deg, #2A2D5E, #2A2D5E00);
            background: -webkit-linear-gradient(180deg, #2A2D5E, #2A2D5E00);
            background: linear-gradient(-90deg, #2A2D5E, #2A2D5E00);
        }
        
    #stuff #copyright
    {
        position: absolute;
        width: 100%;
        bottom: 0em;
        
        background: #2A2D5E;
        border-top: 5px solid #2B2E5C;
    }
    
    #stuff #copyright p
    {
        font-size: 0.75em;
        text-align: center;
        
        color: #444791; 
    }